<?php
 // Check to ensure this file is included in Freeway!
defined('_FEXEC') or die(); 
/*

  osCommRes, Services Online
  http://www.oscommres.com

  Copyright (c) 2005 osCommRes

  Released under the GNU General Public License
  
  Freeway eCommerce from ZacWare
http://www.zac-ware.com/freeway

Copyright 2007 ZacWare Pty. Ltd
*/
 if(HIDE_FROM_BACKEND_MENU_EVENTS=='false'){
?>
<!-- catalog //-->
          <tr>
            <td>
<?php
	$files_list=array(BOX_EVENTS,FILENAME_EVENTS_CATEGORIES,
					BOX_EVENT_DISCOUNTS,FILENAME_EVENTS_DISCOUNTS,
					BOX_EVENT_LOCATIONS,FILENAME_EVENTS_LOCATIONS,
					BOX_EVENT_EMARKETING,FILENAME_EVENTS_MESSAGES,
					BOX_GENERAL_TEMPLATES,FILENAME_GENERAL_TEMPLATES,
					BOX_EVENT_SMS_MESSAGES,FILENAME_EVENTS_SMS_MESSAGES,
					BOX_EVENT_MESSAGES_LOG,FILENAME_EVENTS_MESSAGES_LOG,
					BOX_EVENT_OPTIONS,FILENAME_EVENTS_OPTIONS,
					BOX_EVENT_WAITLISTS,FILENAME_WAITLISTS,
					BOX_EVENT_CUSTOM_QUESTIONS,FILENAME_POP_QUESTIONS);
  $heading = array();
  $contents = array();

  $heading[] = array('text'  => BOX_HEADING_EVENT,
                     'link'  => tep_href_link(FILENAME_EVENTS_CATEGORIES, 'selected_box=event'));

	$links_list='';
	reset($files_list);
	for($fcnt=0,$fn=count($files_list);$fcnt<$fn-1;$fcnt=$fcnt+2){
		if ($selected_box == 'event' || $menu_dhtml == true) {
		    $links_list.=tep_admin_files_boxes($files_list[$fcnt+1],$files_list[$fcnt]);
		}
		if (isset($HTTP_POST_VARS["search_link"]) && $HTTP_POST_VARS["search_link"]!='' && strpos(strtolower($files_list[$fcnt]),strtolower($HTTP_POST_VARS["search_link"]))!==false){
			$search_links_list[]=array('text'=>$files_list[$fcnt],'link'=>$files_list[$fcnt+1] . '?selected_box=event');
		}
	}
	if ($links_list!=''){
		$contents[] = array('text'  => $links_list);
	}

/*  			   tep_admin_files_boxes(FILNAME_GROUP_DISCOUNT,BOX_EVENT_GROUP_DISCOUNT) .
				   tep_admin_files_boxes(FILENAME_USERS,BOX_EVENT_USERS) . 
*/

  $box = new box;
  echo $box->menuBox($heading, $contents);
  unset($files_list);
?>
            </td>
          </tr>
<?php } ?>
<!-- catalog_eof //-->
